package com.lukouguoji.gnc.page.stash.details

import android.content.Context
import android.content.Intent
import android.os.Bundle
import com.lukouguoji.gnc.R
import com.lukouguoji.gnc.databinding.ActivityGncStashDetailsBinding
import com.lukouguoji.module_base.base.BaseBindingActivity
import com.lukouguoji.module_base.common.Constant

class GncStashDetailsActivity :
    BaseBindingActivity<ActivityGncStashDetailsBinding, GncStashDetailsViewModel>() {

    override fun layoutId(): Int {
        return R.layout.activity_gnc_stash_details
    }

    override fun viewModelClass(): Class<GncStashDetailsViewModel> {
        return GncStashDetailsViewModel::class.java
    }

    override fun initOnCreate(savedInstanceState: Bundle?) {
        setBackArrow("国内出港运单详情")
        viewModel.initOnCreated(intent)
        binding.viewModel = viewModel
    }

    companion object {
        @JvmStatic
        fun start(context: Context, whId: String) {
            val starter = Intent(context, GncStashDetailsActivity::class.java)
                .putExtra(Constant.Key.ID, whId)
            context.startActivity(starter)
        }
    }

}